/* import fonts */
@font-face {
  font-family: headerFont;
  src: url(sansation-bold.ttf);
}
@font-face {
  font-family: bodyFont;
  src: url(arial-seven.ttf);
}
@font-face {
  font-family: nikumaru;
  src: url(07NikumaruFont.ttf);
}
/* Changing element defaults */
img {
  object-fit: contain;
}
p {
  color: #F5FFFA;
}
div {
  color: #F5FFFA;
}
a {
  text-decoration: none;
}
.artistLinks {
  text-decoration: underline;
  color: #B0C4DE;
}
/* regular page styles */
.mainBody {
  height: 100%;
  display: flex;
  flex-direction: column;
  background-color: #000032;
}
.mainLogo {
  font-size: 2.8rem;
  font-family: headerFont;
  color: #87CEFA;
  text-align: center;
  text-shadow: 2px 2px 3px #191970;
}
.topNavigationBar {
  width: 90%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-self: center;
  align-items: center;
}
.topNavigationPair {
  display: flex;
  flex-direction: row;
}
.topNavigationButton {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 7px;
  border-color: #6A5ACD;
  border-width: 7px;
  border-style: solid;
  box-shadow: 0 3.5px 7px 0 #B0C4DE;
  background-color: #191970;
  color: #FFF5EE;
  width: 161px;
  height: 56px;
  font-size: 1.65rem;
  font-family: bodyFont;
  margin: 7px;
  text-decoration: none;
}
.bottomNavigationButton {
  position: fixed;
  bottom: 21px;
  right: 28px;
  z-index: 91;
  font-size: 1.65rem;
  border: none;
  outline: none;
  background-color: #6A5ACD;
  color: #F5FFFA;
  cursor: pointer;
  padding: 14px;
  border-radius: 3.5px;
}
.pageContentContainer {
  width: 90%;
  align-self: center;
  padding: 7px;
  margin: 7px;
  font-size: 1.5rem;
  font-family: bodyFont;
  color: #000000;
  background-color: #191970;
  outline-color: #87CEFA;
  outline-style: double;
  outline-width: 7px;
  outline-offset: 0;
}
.displayCentered {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  align-items: center;
}
.standardGridContainer {
  display: grid;
  grid-template-columns: 50% 50%;
  grid-gap: 7px;
  align-items: center;
  justify-content: space-around;
}
.standardGridItem {
  display: flex;
  justify-content: center;
  text-align: center;
}
.outOfSeason {
  display: none;
}
/* Containers just for images */
.imageLandscape {
  max-width: 91%;
  max-height: 560px;
}
.imagePortrait {
  max-height: 700px;
  max-width: 84%;
}
/* Adding/removing padding/margins */
.withTopPaddingSmall {
  padding-top: 7px;
}
.withBottomPaddingSmall {
  padding-bottom: 7px;
}
.withTopPaddingMedium {
  padding-top: 21px;
}
.withBottomPaddingMedium {
  padding-bottom: 21px;
}
.withTopPaddingLarge {
  padding-top: 70px;
}
.withBottomPaddingLarge {
  padding-bottom: 70px;
}
.withBottomPaddingExtraLarge {
  padding-bottom: 105px;
}
.withMarginLeftSmall {
  margin-left: 7%;
}
.withMarginRightSmall {
  margin-right: 7%;
}
.withMarginBottomSmall {
  margin-bottom: 7px;
}
.withMarginSidesSmall {
  margin-left: 14px;
  margin-right: 14px;
}
/* Borders */
.withBottomBorderThin {
  border-bottom: 7px solid #F5FFFA;
}
/* For the Japanese version of the site */
.withJapaneseText {
  font-family: nikumaru;
}
.eigoFont {
  font-family: bodyFont;
}
/* Background and text colors */
.standardColor {
  background-color: #000032;
}
/* Easter egg */
.returnToTopButton {
  display: none;
  position: fixed;
  bottom: 21px;
  right: 28px;
  z-index: 91;
  font-size: 1.23rem;
  border: none;
  outline: none;
  background-color: #6A5ACD;
  color: #F5FFFA;
  cursor: pointer;
  padding: 14px;
  border-radius: 3.5px;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: none;
}
.modal {
  position: fixed;
  top: 91vh;
  left: 50vw;
  transform: translate(-50%, -50%);
}
